org.eclipse.eef.properties.ui.legacy.internal

## Annotation Type I18N.TranslatableMessage

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public static @interface I18N.TranslatableMessage

Used to mark a `public static String` field of a class as an externalized string, whose actual value will depend on the locale used at runtime. The optional value corresponds to the key in the `ResourceLocator`; if absent, the name of the field itself is used as key.

### Optional Element Summary

Optional Elements
`java.lang.String[]` `value` The (optional) value of the message key.

### Element Detail

#### value

    public abstract java.lang.String[] value

The (optional) value of the message key. If absent, the key is assumed to be the same as the Java field's name.

Default:
  {}